Loading...
Searching...
No Matches
stream_to_vector.h
Go to the documentation of this file.
/* -*- c++ -*- */
/*
* Copyright 2012 Free Software Foundation, Inc.
*
* This file is part of GNU Radio
*
* SPDX-License-Identifier: GPL-3.0-or-later
*
*/
#ifndef INCLUDED_BLOCKS_STREAM_TO_VECTOR_H
#define INCLUDED_BLOCKS_STREAM_TO_VECTOR_H
#include <gnuradio/blocks/api.h>
#include <gnuradio/sync_decimator.h>
namespace gr {
namespace blocks {
/*!
* \brief convert a stream of items into a stream of gnuradio/blocks containing
* nitems_per_block \ingroup stream_operators_blk
*/
class BLOCKS_API stream_to_vector : virtual public sync_decimator
{
public:
// gr::blocks::stream_to_vector::sptr
typedef std::shared_ptr<stream_to_vector> sptr;
/*!
* Make a stream-to-vector block.
*
* \param itemsize the item size of the stream
* \param nitems_per_block number of items to put into each vector (vector size)
*/
static sptr make(size_t itemsize, size_t nitems_per_block);
};
} /* namespace blocks */
} /* namespace gr */
#endif /* INCLUDED_BLOCKS_STREAM_TO_VECTOR_H */
gr::blocks::stream_to_vector
convert a stream of items into a stream of gnuradio/blocks containing nitems_per_block
Definition stream_to_vector.h:25
gr::blocks::stream_to_vector::sptr
std::shared_ptr< stream_to_vector > sptr
Definition stream_to_vector.h:28
gr::blocks::stream_to_vector::make
static sptr make(size_t itemsize, size_t nitems_per_block)
gr::sync_decimator
synchronous N:1 input to output with history
Definition sync_decimator.h:26
api.h
BLOCKS_API
#define BLOCKS_API
Definition gr-blocks/include/gnuradio/blocks/api.h:18
gr
GNU Radio logging wrapper.
Definition basic_block.h:29
sync_decimator.h